package com.uas.ps.message.api;

import com.uas.ps.httplog.annotation.HttpLog;
import com.uas.ps.message.SchedulingConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * 定时任务接口
 * Created by wangyc on 2018/2/1.
 *
 * @version 2018/2/1 18:01 wangyc
 */
@RestController
@RequestMapping("/task")
public class ConfigureTaskController {

    @Autowired
    private SchedulingConfig schedulingConfig;

    /**
     * 修改推送短信品牌
     * @param cron 定时频率
     * @return
     */
    @HttpLog
    @RequestMapping(value = "/pushsm/cron/update", method = RequestMethod.POST, produces = "application/json")
    public String updateCron(@RequestBody String cron) {
       return schedulingConfig.setCron(cron);
    }
}
