package com.uas.ps.message.dao;

import com.uas.ps.message.domain.App;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

/**
 * Created by wangyc on 2018/1/18.
 *
 * @version 2018/1/18 10:48 wangyc
 */
public interface AppDao extends JpaRepository<App, Long>, JpaSpecificationExecutor<App> {

    /**
     * 通过应用名称获取应用
     * @param name 应用名称
     * @return
     */
    App findByName(String name);
}
